<?php
namespace App\Models;
use Illuminate\Database\Eloquent\Model;

class Contact extends Model {
    protected $fillable = ['email_list_id','name','email','subscribed'];

    public function list() {
        return $this->belongsTo(EmailList::class, 'email_list_id');
    }

    public function campaignLogs() {
        return $this->hasMany(CampaignLog::class);
    }
}
